// App.configuration etc:
class App
{
   private static _IsDebugConfiguration_: boolean = false

   static IsDebugConfiguration(): boolean {
      return App._IsDebugConfiguration_
   }
   static IsReleaseConfiguration(): boolean {
      return !App.IsDebugConfiguration()
   }

   static SpecifyIsDebugConfiguration() {
      App._IsDebugConfiguration_ = true
   }
} // App
